Subject: Re: [nfsv4] Working group last call for NFS DNS SRV I-D (April 30 - May 14)

From: James Lentini <[email-masked]>
Date: Thu, 6 May 2010 11:37:45 -0400 (EDT)

I didn't interpret "proposed" to be referring to the standardization 
state of fs_locations_info. If that was the intention, then 
fs_locations should also be referred to as "proposed" since RFC3530 is 
also a "Proposed Standard". For consistency and decoupling this text 
from the state of other documents, I'd still recommend dropping the 
"proposed" qualifier. As I said, this is a very minor suggestion. I 
won't lose any sleep if "proposed" is retained, but I do think the 
reference will be useful to the reader.

-james

On Fri, 30 Apr 2010, [email-masked] wrote:

> As to the first, good catch.  I do agree but I will note that RFC5661 is
> now a "Proposed Standard". 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of James Lentini
> Sent: Friday, April 30, 2010 3:17 PM
> To: Spencer
> Cc: nfsv4 nfsv4
> Subject: Re: [nfsv4] Working group last call for NFS DNS SRV I-D (April
> 30 - May 14)
> 
> 
> I'd like my support for this proposal to be recorded. It defines a 
> mechanism that I believe is necessary for building global namespaces 
> with NFS. In addition to review by members of this working group, I'll 
> note that this proposal was also reviewed by the DNS Directorate in 
> August of last year.
> 
> I have two very minor suggestions after a fresh read of the draft.
> 
> On page 6, the first sentence of Section 4.2 refers to the "proposed 
> fs_locations_info" attribute. In light of the publication of RFC 5661, 
> I recommend the word "proposed" be removed and a reference to RFC 5661 
> be added, either in this section or in the first sentence of Section 
> 2.
> 
> Section 6 on page 9 references the DNS NFS4ID. I suggest a citation 
> for the DNS NFS4ID, perhaps to draft-ietf-nfsv4-dns-rr-00, be added as 
> an Informative Reference.
> 
> -james
> 
> --
> James Lentini | NetApp | 781-768-5359 | [email-masked]
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
> 
>

---

From: "Everhart, Craig" <[email-masked]>
Date: Thu, 6 May 2010 11:58:35 -0400

Right, "fs_locations_info" isn't any more "proposed" than anything else
in the [now] RFC.  I'll remove any "proposed" language from the I-D
under discussion and simply refer to the RFCs.

		Craig

> From: Lentini, James
> Sent: Thursday, May 06, 2010 11:38 AM
> To: [email-masked]
> Cc: [email-masked]
> > As to the first, good catch.  I do agree but I will note that
RFC5661
> is

---

From: <[email-masked]>
Date: Thu, 6 May 2010 13:59:03 -0400

OK.  OK.  I forgot the ":-)". 

-----Original Message-----
From: James Lentini [mailto:[email-masked]] 
Sent: Thursday, May 06, 2010 11:38 AM
To: Noveck, David
Cc: [email-masked]; [email-masked]
Subject: RE: [nfsv4] Working group last call for NFS DNS SRV I-D (April
30 - May 14)

-james

---

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 17 May 2010 16:14:06 -0400

On Thu, Apr 29, 2010 at 04:56:46PM -0500, Spencer wrote:
> 
> Given the maturity of the following document on NFSv4's use of DNS SRV records
> and the progression of the Federated FS work, it is appropriate to hold the
> working group last call for this document.
> 
> http://www.ietf.org/id/draft-ietf-nfsv4-federated-fs-dns-srv-namespace-03.txt
> 
> The last call starts now and runs through May 14th.  Please post
> substantive comments to the working group alias and editorial comments 
> can be directed to the authors.
> 
> Thanks in advance for the review as well as to those that have
> authored or otherwise contributed to the document.

Purely out of curiosity--is there any example of a DNS server out there
right now that I can query for this attribute?

--b.

---

From: "Everhart, Craig" <[email-masked]>
Date: Tue, 18 May 2010 17:56:47 -0400

I don't know of public servers that provide a sample.  It's pretty easy
to set up the DNS end of this, assuming that you can administer a public
DNS server.  (Not to mention the public-ish NFSv4 server that it might
point to.)

		Craig

> From: J. Bruce Fields [mailto:[email-masked]]
> Sent: Monday, May 17, 2010 4:14 PM
> To: Spencer
> Cc: nfsv4 nfsv4
> 30 -May 14)